<? include('checkcookie.php'); ?>
<?
if (isset($_POST["click"]))
{
        $sitename=$_POST["sitename"];
        $wmid=$_POST["wmid"];
        $purse=$_POST["wmpurse"];
        $valuta=$_POST["valuta"];
        $valutaname=$_POST["valutaname"];
        $sd=$_POST["startdate"];
        $comment=$_POST["comment"];
        $blockip=$_POST["blockip"];
        $ctrlword=$_POST["ctrlword"];
        if($ctrlword!='NULL' and $ctrlword!='') $ctrlword=md5($ctrlword);
        $offsite=$_POST["off"];
        $click=$_POST["click"];
        $click1=$_POST["click1"];
        $minpay=$_POST["payment"];
        $refprice=$_POST["refprice"];
        $fsa=$_POST["fsa"];
        $fsr=$_POST["fsr"];
        $rgbon=$_POST["rgbon"];

        $rlp=$_POST["reflinkprice"];


        $adu=$_POST["adu"];

        mysql_query("update tb_site set blockip='$blockip', sitename='$sitename', wmid='$wmid', purse='$purse', valuta='$valuta', valutaname='$valutaname', startdate='$sd', comment='$comment' where id='1'");
        if($ctrlword!='NULL')
        {
                mysql_query("update tb_site set ctrlword='$ctrlword' where id='1'");
                $_SESSION["ctrlwordaccess"]='0';
        }
        mysql_query("update tb_config set price='$click' where item='click'");
        mysql_query("update tb_config1 set price='$click1' where item='click'");
        mysql_query("update tb_config set price='$minpay' where item='payment'");
        mysql_query("update tb_config set price='$rgbon' where item='refregbon'");

        mysql_query("update tb_config set price='$refprice' where item='referal'");
        mysql_query("update tb_config set price='$rlp' where item='reflinkprice'");



        echo "<font color=\"green\"><b>Настройки сохранены</b></font><br><br>";
}
$sql = "SELECT price FROM tb_config WHERE item='offsite'"; 
$offres = mysql_query($sql); 
$sfb = mysql_result($offres,0,0);
?>

<form method="post" action="adminmain.php?p=basecfg">

<?
$sql = "SELECT * FROM tb_site WHERE id='1'";
$result = mysql_query($sql);
$row = mysql_fetch_array($result);
?>

<h3>Настройки сайта</h3><br>
<table>
<tr><th width="400">
Имя сайта</th><td><input type="text" name="sitename" value="<? echo $row["sitename"]; ?>" size="30" maxlength="30">
</td></tr>
<tr><th>
WMID:</th><td><input type="text" name="wmid" value="<? echo $row["wmid"]; ?>" size="30" maxlength="12"></td></tr>
<tr><th>
WM кошелек администрации:</th><td><input type="text" name="wmpurse" value="<? echo $row["purse"]; ?>" size="30" maxlength="13"></td></tr>
<tr><th>
Валюта сайта (буква в номере кошелька администрации):</th><td><input type="text" name="valuta" value="<? echo $row["valuta"]; ?>" size="30" maxlength="1"></td></tr>
<tr><th>
Обозначение валюты сайта (например, 'руб.' или '$'):</th><td><input type="text" name="valutaname" value="<? echo $row["valutaname"]; ?>" size="30" maxlength="13"></td></tr>
<tr><th>
Дата старта проекта (dd.mm.yyyy):</th><td><input type="text" name="startdate" value="<? echo $row["startdate"]; ?>" size="30" maxlength="10"></td></tr>
<tr><th>
Настройка текста примечания к выплате:
</th><td>
<input type="text" name="comment" value="<? echo $row["comment"]; ?>" size="50" maxlength="150"><br>
<b>:sitename:</b> - выводит имя сайта
<b>:username:</b> - выводит имя пользователя

</td></tr>
<tr><th>
Блокировка входа в админку по IP (Ваш текущий IP-адрес <?=getRealIP()?>:</th><td><input type="text" name="blockip" value="<? echo $row["blockip"]; ?>" size="30" maxlength="15"></td></tr>
<tr><th>
Контрольное слово или фраза (вводится при входе в админку, иначе доступ будет закрыт!:</th><td><input type="text" name="ctrlword" value="NULL" size="30" maxlength="20"> Значение NULL запрещает замену контрольного выражения, что освобождает от необходимости каждый раз задавать этот параметр!
</td></tr>
</table>
<br><br>
</title>
<?
$sql = "SELECT price FROM tb_config WHERE item='click'";
$res = mysql_query($sql);
$click=mysql_result($res,0,0);

$sql = "SELECT price FROM tb_config1 WHERE item='click'";
$res = mysql_query($sql);
$click1=mysql_result($res,0,0);

$res=mysql_query("select price from tb_config where item='refregbon'");
$rgbon=mysql_result($res,0,0);

$sql = "SELECT price FROM tb_config WHERE item='payment'";
$res = mysql_query($sql);
$minpay=mysql_result($res,0,0);

$sql = "SELECT price FROM tb_config WHERE item='reflinkprice'";
$res = mysql_query($sql);
$reflinkprice=mysql_result($res,0,0);

require('config.php');


?>

<h3>Настройки пользователей</h3><br>
<table>
<tr>
<th width="400">Цена за клик</th><td><input type="text" name="click" value="<?=$click ?>"></td></tr>
<tr>
<th width="400">Минимум к выплате:</th><td><input type="text" name="payment" value="<?=$minpay ?>"></td></tr>
</table>

<center><input type="submit" value="Сохранить изменения" class="button"></center>


</form>